Subject: Re: bug#15454: 24.3.50; The profiler does not show me all the run functions?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Sep 2013 21:23:04 +0300

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 24 Sep 2013 18:55:39 +0200
> 
> Eli Zaretskii wrote:
> >> From: "Sebastien Vauban" <[email-masked]>
> >> Date: Tue, 24 Sep 2013 16:37:07 +0200
> >> 
> >> I'd like to change that. Therefore, I need to find the function which does save
> >> the results to the file.
> >
> > The function you are looking for is write-region.
> 
> Regarding the initial context, I've found out that I was looking after an
> `with-temp-file'...

But what determines the file's encoding is write-region nevertheless:
you will see that with-temp-file calls write-region internally.

> >> Where are they in the profiler report?
> >
> > I think Stefan's crystal ball is exceptionally clear today.
> 
> I'm not sure to understand. I do have the tree fully expanded, don't I?

Well, crystal balls are known to mispredict sometimes...